import React, {useEffect, useState} from 'react';
import { Chart, Interval } from 'bizcharts';

const GraficoPublicacoesTotaisPorComunidade = () => {
    const [data, setData] = useState([])
    useEffect(() => {
        netuno.service({
            url: "/services/publicacoes/graficos/comunidades/total",
            method: "GET",
            credentials: 'include',
            headers: {
                'Content-Type': 'application/json'
            },
            success: (response)=> {
                if (response.json) {
                    setData(response.json)
                } else {
                    fail();
                }
            },
            fail: ()=> {
                fail();
            }
        })
    }, [])
    const fail = ()=> {
        setLoader(false)
        notification["error"]({
            message: 'Error',
            description: 'Data loading error...',
            style: {
                marginTop: 100,
            }
        });
    };
    return (
        <Chart height={300} autoFit data={data} >
            <Interval position="comunidade*total"  />
        </Chart>
    )
}

export default GraficoPublicacoesTotaisPorComunidade;